Modify Allocation
curl --request POST \
--url https://app.magna.so/api/external/v1/allocations/{id}/modify \
--header 'Content-Type: application/json' \
--header 'x-magna-api-token: <api-key>' \
--data '
{
"hideAllocationFromPortal": true,
"walletAddress": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://app.magna.so/api/external/v1/allocations/{id}/modify"
payload = {
"hideAllocationFromPortal": True,
"walletAddress": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"x-magna-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-magna-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hideAllocationFromPortal: true,
walletAddress: '<string>',
customAttributes: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://app.magna.so/api/external/v1/allocations/{id}/modify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isProcessed": true,
"result": {
"id": "7eb179c5-d86a-4c0c-be29-198ad0cb39b0",
"key": "A-SMJ7LTO1GS",
"description": null,
"amount": "12000",
"funded": "0",
"received": "0",
"walletAddress": "0x01f9632EA55Aa14eD6B39aA8EbCEcE425f7ef0e9",
"createdAt": "2024-04-15T21:26:21.000Z",
"updatedAt": "2024-04-15T21:26:21.000Z",
"cancelledAt": null,
"state": "NOT_STARTED",
"stakeholder": {
"id": "fe2d5104-36d5-4c79-b457-6bfcb1ae498c",
"type": null,
"employeeNumber": null,
"name": null,
"contactEmail": null
},
"customAttributes": [
{
"key": "department",
"value": "Engineering"
},
{
"key": "employeeLevel",
"value": "Senior"
}
],
"category": {
"id": "3451cadc-dd25-4aee-b000-453756796a06",
"name": "Category-Name"
},
"unlockStartAt": "2024-04-15T21:26:21.000Z",
"vestingStartAt": "2024-04-15T21:26:21.000Z"
}
}Allocations
Modify Allocation
POST
/
api
/
external
/
v1
/
allocations
/
{id}
/
modify
Modify Allocation
Authorizations
Path Parameters
Minimum string length:
1Body
application/json
⌘I